> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1schedulerrule



## OpenAPI

````yaml https://saas.pads365.com/rdx/nds.services.schedule//swagger/v1/swagger.json post /api/v1/Schedule/rrule
openapi: 3.0.0
info:
  title: nds.services.schedule
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/nds.services.schedule/
security: []
paths:
  /api/v1/Schedule/rrule:
    post:
      tags:
        - Schedule
      operationId: Schedule_GetRRule
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetScheduleRRuleRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScheduleRRuleResult'
components:
  schemas:
    GetScheduleRRuleRequest:
      type: object
      additionalProperties: false
      required:
        - Ids
      properties:
        Ids:
          type: array
          maxItems: 100
          minItems: 1
          items:
            type: string
            format: guid
    GetScheduleRRuleResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Result:
              type: array
              items:
                $ref: '#/components/schemas/ScheduleRRuleResult'
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    ScheduleRRuleResult:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        ScheduleItems:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleItemRRule'
    ScheduleItemRRule:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        RRule:
          type: string

````